## org.eclipse.datatools.modelbase.sql.datatypes
Class OrderingCategoryType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.datatypes.OrderingCategoryType

public final class OrderingCategoryType
extends AbstractEnumerator

A representation of the literals of the enumeration 'Ordering Category Type', and utility methods for working with them. 4.7 User-defined types A user-defined type is a schema object, identified by a . A user-defined type is described by a user-defined type descriptor. A user-defined type descriptor contains: - The name of the user-defined type ( ). This is the type designator of that type, used in type precedence lists (see Subclause 9.5, "Type precedence list determination"). - An indication of whether the user-defined type is a structured type or a distinct type. - The ordering form for the user-defined type (EQUALS , FULL , or NONE ). - The ordering category for the user-defined type (RELATIVE , MAP , or STATE ).

See Also:
  `SQLDataTypesPackage.getOrderingCategoryType()`, Serialized Form

Field Summary
`static int` `MAP` The 'MAP' literal value.
`static OrderingCategoryType` `MAP_LITERAL` The 'MAP' literal object.
`static int` `RELATIVE` The 'RELATIVE' literal value.
`static OrderingCategoryType` `RELATIVE_LITERAL` The 'RELATIVE' literal object.
`static int` `STATE` The 'STATE' literal value.
`static OrderingCategoryType` `STATE_LITERAL` The 'STATE' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Ordering Category Type' enumerators.

Method Summary
`static OrderingCategoryType` `get(int value)` Returns the 'Ordering Category Type' literal with the specified value.
`static OrderingCategoryType` `get(java.lang.String name)` Returns the 'Ordering Category Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RELATIVE

    public static final int RELATIVE

  The 'RELATIVE' literal value.

  See Also:
    `RELATIVE_LITERAL`, Constant Field Values

### MAP

    public static final int MAP

  The 'MAP' literal value.

  See Also:
    `MAP_LITERAL`, Constant Field Values

### STATE

    public static final int STATE

  The 'STATE' literal value.

  See Also:
    `STATE_LITERAL`, Constant Field Values

### RELATIVE_LITERAL

    public static final OrderingCategoryType RELATIVE_LITERAL

  The 'RELATIVE' literal object.

  If the meaning of 'RELATIVE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RELATIVE`

### MAP_LITERAL

    public static final OrderingCategoryType MAP_LITERAL

  The 'MAP' literal object.

  If the meaning of 'MAP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MAP`

### STATE_LITERAL

    public static final OrderingCategoryType STATE_LITERAL

  The 'STATE' literal object.

  If the meaning of 'STATE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `STATE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Ordering Category Type' enumerators.

Method Detail

### get

    public static OrderingCategoryType get(java.lang.String name)

  Returns the 'Ordering Category Type' literal with the specified name.

### get

    public static OrderingCategoryType get(int value)

  Returns the 'Ordering Category Type' literal with the specified value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.